Skip to main content

Save Organization

Used to create or update an organization configuration.

API Endpoint

PropertyValue
Request MethodPOST
Request URLhttps://api.seliseblocks.com/idp/v1/Iam/SaveOrganization

Request

Request Example

curl -X POST 'https://api.seliseblocks.com/idp/v1/Iam/SaveOrganization' \
-H 'Content-Type: application/json' \
-H 'x-blocks-key: YOUR_PROJECT_KEY' \
-d '{
"projectKey": "YOUR_PROJECT_KEY",
"name": "Acme Corporation",
"itemId": "org_123",
"isEnable": true
}'

Request Headers

FieldTypeDescription
Content-Typeapplication/jsonData type, must be application/json.
x-blocks-keystringProject key for authentication.

Request Body

FieldTypeRequiredDescription
projectKeystringYesThe project key associated with organization.
namestringYesThe name of the organization.
itemIdstringNoOrganization ID (required for updates).
isEnablebooleanNoWhether the organization is enabled.

Response

Success Response

Returns HTTP status 200 OK on successful save.

{
"errors": {},
"isSuccess": true
}

Response Fields

FieldTypeDescription
errorsobjectAny errors encountered during save.
isSuccessbooleanIndicates if save was successful.